[pacman-dev] [PATCH] makepkg: fix PKGBUILD sanity check
Allan McRae
allan at archlinux.org
Sat Jun 13 09:57:19 EDT 2009
If PKGBUILD was good, the "insane" variable was not defined and so
the if statement failed. Simplify and fix this check.
Signed-off-by: Allan McRae <allan at archlinux.org>
---
scripts/makepkg.sh.in | 5 +----
1 files changed, 1 insertions(+), 4 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index e2e1604..433fe34 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1630,10 +1630,7 @@ if [ "$(type -t package)" = "function" ]; then
fi
# check the PKGBUILD for some basic requirements
-check_sanity || insane=1
-if [ $insane -eq 1 ]; then
- exit 1
-fi
+check_sanity || exit 1
# We need to run devel_update regardless of whether we are in the fakeroot
# build process so that if the user runs makepkg --forcever manually, we
--
1.6.3.2
More information about the pacman-dev
mailing list